Vodett API← vodett.ai

Appointments

POST /appointments

Books an appointment for an existing patient.

Parameters (JSON body):

  • patient_id (uuid, required)
  • start_at (ISO 8601 datetime, required)
  • end_at (ISO 8601 datetime, required)
  • service_id (uuid, optional — from GET /services)
  • resource_id (uuid, optional — a doctor id from GET /doctors)
  • title (string, optional)
  • notes (string, optional)
Request
curl -X POST https://api.vodett.ai/api/public/v1/appointments \
  -H "Authorization: Bearer vodett_sk_live_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{"patient_id":"3f9a1c22-8b0e-4c1a-9f2d-1a2b3c4d5e6f","start_at":"2026-09-01T09:00:00Z","end_at":"2026-09-01T09:30:00Z","title":"Check-up"}'
Response (201)
{
  "id": "7c1d2e33-4f5a-6b7c-8d9e-0f1a2b3c4d5e",
  "appointment_number": "A-1001",
  "patient_id": "3f9a1c22-8b0e-4c1a-9f2d-1a2b3c4d5e6f",
  "start_at": "2026-09-01T09:00:00Z",
  "end_at": "2026-09-01T09:30:00Z",
  "status": "booked"
}